4 Replies Latest reply on Nov 28, 2011 5:42 AM by gsutton48

    Adobe 10.1 and the Gov't Site

    gsutton48

      I am attempting to fill out a government application on line at the gov't website. When I double click on icon to open the necessary document, it tells me I need to have a more current version of Adobe. It directs me to a sight where I downloaded the current version 10.1..

       

      When I return to the site to open up the document to fill it out,  it keeps telling me I need a newer version, consequently, I cannot get the document to open so I can fill it out.

       

      Help, and thank you.